<?php 
// Exit if accessed directly
if (!defined('ABSPATH')) {
    exit;
}

require_once plugin_dir_path(__FILE__).'inc/cpt-forms.php';
require_once plugin_dir_path(__FILE__).'inc/meta-box.php';
require_once plugin_dir_path(__FILE__).'inc/meta-box-forms-details.php';
require_once plugin_dir_path(__FILE__).'inc/meta-box-forms-settings.php';
require_once plugin_dir_path(__FILE__).'inc/meta-box-popup-settings.php';
require_once plugin_dir_path(__FILE__).'inc/meta-box-forms-info.php';
require_once plugin_dir_path(__FILE__).'inc/default-data.php';
require_once plugin_dir_path(__FILE__).'inc/subscribe-form-widget.php';
require_once plugin_dir_path(__FILE__).'inc/class-us-list-table.php';
require_once plugin_dir_path(__FILE__).'inc/class-list-subscribers.php';


function ultimate_subscribe_admin_scripts() {
    wp_enqueue_style('ultimate-subscribe-admin-style', plugin_dir_url(__FILE__) . 'assets/css/style.css');
    wp_enqueue_style('font-awesome', ULTIMATE_SUBSCRIBE_URI . "/css/font-awesome.min.css");

    wp_enqueue_script('jquery-ui');
    wp_enqueue_script('ultimate-subscribe-jQueryColorPicker', plugin_dir_url(__FILE__) . 'assets/js/jQueryColorPicker.min.js', array('jquery'));
    wp_enqueue_script( 'jquery-cookie',  plugin_dir_url( __FILE__ ) . 'assets/js/jquery.cookie.js', array('jquery'), null, true);
    wp_enqueue_script('ultimate-subscribe-admin-script', plugin_dir_url(__FILE__) . 'assets/js/script.js', array('jquery', 'jquery-cookie'));
}
add_action('admin_enqueue_scripts', 'ultimate_subscribe_admin_scripts');


function ultimate_subscribe_options_menu(){
    add_menu_page(
        __('Ultimate Subscribe','ultimate-subscribe'), 
        __('Ultimate Subscribe','ultimate-subscribe'), 
        'manage_options', 
        'ultimate-subscribe', 
        'ultimate_subscribe_dashboard_page', 
        'dashicons-email', 
        26
    );
    add_submenu_page( 'ultimate-subscribe', 'Dashboard', 'Dashboard', 'manage_options', 'ultimate-subscribe', 'ultimate_subscribe_dashboard_page' );
    add_submenu_page( 'ultimate-subscribe', 'Subscribers', 'Subscribers', 'manage_options', 'ultimate-subscribe-users', 'ultimate_subscribe_subscriber_page' );
    add_submenu_page( 'ultimate-subscribe', 'Forms', 'Forms', 'manage_options', 'edit.php?post_type=u_subscribe_forms'); 
    add_submenu_page( 'ultimate-subscribe', 'Ultimate Subscribe Settings', 'Settings', 'manage_options', 'ultimate-subscribe-settings', 'ultimate_subscribe_settings');    
}

function ultimate_subscribe_subscriber_page(){
    // check user capabilities
    if (!current_user_can('manage_options')) {
        return;
    }
    require_once plugin_dir_path(__FILE__) . 'manu-pages/subscribers.php';
}

function ultimate_subscribe_dashboard_page(){
    // check user capabilities
    if (!current_user_can('manage_options')) {
        return;
    }
    require_once plugin_dir_path(__FILE__) . 'manu-pages/dashboard.php';
}


function ultimate_subscribe_settings(){
    if (!current_user_can('manage_options')) {
        return;
    }
    require_once plugin_dir_path(__FILE__) . 'settings/settings-init.php';
}


if ( is_admin() ){ // admin actions
 
    add_action('admin_menu', 'ultimate_subscribe_options_menu');
    add_action( 'admin_init', 'ultimate_subscribe_register_settings' );
}

function ultimate_subscribe_register_settings(){
    register_setting( 'ultimate-subscribe-options', 'ultimate_subscribe_options' ); 
}

function ultimate_subscribe_forms_cpt_columns($columns) {
    $new_columns = array(
        'cb' => '<input type="checkbox" />',
        'title' => __( 'Title' ),
        'shortcode' => __('Shortcode'),
        'date' => __( 'Date' )
    );
    return $new_columns;
}
add_filter('manage_u_subscribe_forms_posts_columns' , 'ultimate_subscribe_forms_cpt_columns');

function ultimate_subscribe_manage_forms_cpt_columns( $column, $post_id ) {
    global $post;
    if($column == 'shortcode'){
        echo '<div class="u-shortcoad-col"> [ultimate_subscribe_from id="'.$post_id.'"] </div>';
    }
}
add_action('manage_u_subscribe_forms_posts_custom_column', 'ultimate_subscribe_manage_forms_cpt_columns', 10, 2);
?>